uk.gov.hmrc.objectstore.client.play

# InMemoryPlayObjectStoreContentReads

###
Related Doc: package play

#### trait InMemoryPlayObjectStoreContentReads extends PlayObjectStoreContentReads

Linear Supertypes
PlayObjectStoreContentReads, AnyRef, Any
Known Subclasses
InMemoryReads
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. InMemoryPlayObjectStoreContentReads
2. PlayObjectStoreContentReads
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### implicit def akkaSourceContentRead[F[_]](implicit ec: ExecutionContext, F: PlayMonad[F]): ObjectStoreContentRead[F, WSResponse, Source[ByteString, NotUsed]]

   Definition Classes
     PlayObjectStoreContentReads

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### implicit def identity[F[_]](implicit ec: ExecutionContext, F: PlayMonad[F]): ObjectStoreContentRead[F, Source[ByteString, NotUsed], Source[ByteString, NotUsed]]

    Definition Classes
      PlayObjectStoreContentReads

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### implicit def jsReadsRead[F[_], A](implicit arg0: Reads[A], ec: ExecutionContext, m: Materializer, F: PlayMonad[F]): ObjectStoreContentRead[F, Source[ByteString, NotUsed], A]

15. #### implicit def jsResultContentRead[F[_], A](implicit arg0: Reads[A], ec: ExecutionContext, m: Materializer, F: PlayMonad[F]): ObjectStoreContentRead[F, Source[ByteString, NotUsed], JsResult[A]]

16. #### implicit def jsValueContentRead[F[_]](implicit ec: ExecutionContext, m: Materializer, F: PlayMonad[F]): ObjectStoreContentRead[F, Source[ByteString, NotUsed], JsValue]

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### implicit def stringContentRead[F[_]](implicit ec: ExecutionContext, m: Materializer, F: PlayMonad[F]): ObjectStoreContentRead[F, Source[ByteString, NotUsed], String]

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from PlayObjectStoreContentReads

### Inherited from AnyRef

### Inherited from Any

### Ungrouped